Page MenuHomePhabricator

Fix searching for one letter or one number in elasticsearch
ClosedPublic

Authored by Paladox on Sep 30 2016, 7:44 PM.

Details

Maniphest Tasks
T146843: Re-evaluate how we implement phabricator's search engine
Reviewers
Paladox
mmodell
Commits
rPHDEPabe6061ee054: Updated git submodules
rPHABf477ca9bc79c: Fix searching for one letter or one number in elasticsearch
Patch without arc
git checkout -b D395 && curl -L https://phabricator.wikimedia.org/D395?download=true | git apply
Summary

What i mean is for example we can now search for just 1, and it will bring
anything up matching that. Also searching for letters like t will work
now.

@EBernhardson helped me figure this out and gave the fix.

Fixes T146843

Change-Id: Ie6d245dd3db63deaa2cd41456f125704dc8c58bb

Diff Detail

Repository
rPHAB Phabricator
Branch
wmf/stable
Lint
Lint SkippedExcuse: Same as before
Unit
Unit Tests Skipped
Build Status
Buildable 1082
Build 1569: differential-jessieJenkins
Build 1568: arc lint + arc unit

Event Timeline

Paladox updated this revision to Diff 1056.Sep 30 2016, 7:44 PM
Paladox retitled this revision from to Fix searching for one letter or one number in elasticsearch.
Paladox updated this object.
Paladox edited the test plan for this revision. (Show Details)
Paladox added a subscriber: EBernhardson.
Restricted Application added a reviewer: mmodell. · View Herald TranscriptSep 30 2016, 7:44 PM
Paladox accepted this revision.Sep 30 2016, 7:47 PM
Paladox added a reviewer: Paladox.
This revision is now accepted and ready to land.Sep 30 2016, 7:47 PM
Paladox updated this revision to Diff 1060.Oct 1 2016, 3:28 PM
Paladox edited edge metadata.

Minor changes

@mmodell could you land this please?

Paladox closed this revision.Oct 3 2016, 9:43 PM